var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":57,"id":3114,"methods":[{"el":43,"sc":5,"sl":39},{"el":48,"sc":5,"sl":45},{"el":55,"sc":5,"sl":50}],"name":"TestHttpsRedirects","sl":37}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_11":{"methods":[{"sl":45}],"name":"testRelativeRedirect2","pass":true,"statements":[{"sl":47}]},"test_19":{"methods":[{"sl":45}],"name":"testRejectBogusRedirectLocation","pass":true,"statements":[{"sl":47}]},"test_2":{"methods":[{"sl":45}],"name":"testBasicRedirect307","pass":true,"statements":[{"sl":47}]},"test_20":{"methods":[{"sl":45}],"name":"testBasicRedirect300","pass":true,"statements":[{"sl":47}]},"test_22":{"methods":[{"sl":45}],"name":"testMaxRedirectCheck","pass":true,"statements":[{"sl":47}]},"test_23":{"methods":[{"sl":45}],"name":"testBasicRedirect303","pass":true,"statements":[{"sl":47}]},"test_24":{"methods":[{"sl":45}],"name":"testRedirectWithCookie","pass":true,"statements":[{"sl":47}]},"test_30":{"methods":[{"sl":45}],"name":"testDefaultHeadersRedirect","pass":true,"statements":[{"sl":47}]},"test_42":{"methods":[{"sl":45}],"name":"testRelativeRedirect","pass":true,"statements":[{"sl":47}]},"test_46":{"methods":[{"sl":45}],"name":"testBasicRedirect305","pass":true,"statements":[{"sl":47}]},"test_5":{"methods":[{"sl":39},{"sl":45}],"name":"testCrossSiteRedirect","pass":true,"statements":[{"sl":42},{"sl":47}]},"test_51":{"methods":[{"sl":45}],"name":"testPostRedirectSeeOther","pass":true,"statements":[{"sl":47}]},"test_53":{"methods":[{"sl":45}],"name":"testRejectInvalidRedirectLocation","pass":true,"statements":[{"sl":47}]},"test_58":{"methods":[{"sl":45}],"name":"testCircularRedirect","pass":true,"statements":[{"sl":47}]},"test_59":{"methods":[{"sl":45}],"name":"testRejectRelativeRedirect","pass":true,"statements":[{"sl":47}]},"test_62":{"methods":[{"sl":45}],"name":"testBasicRedirect302","pass":true,"statements":[{"sl":47}]},"test_67":{"methods":[{"sl":45}],"name":"testBasicRedirect301","pass":true,"statements":[{"sl":47}]},"test_70":{"methods":[{"sl":45}],"name":"testBasicRedirect304","pass":true,"statements":[{"sl":47}]},"test_8":{"methods":[{"sl":45}],"name":"testPostNoRedirect","pass":true,"statements":[{"sl":47}]},"test_9":{"methods":[{"sl":45}],"name":"testBasicRedirect302NoLocation","pass":true,"statements":[{"sl":47}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [5], [], [], [5], [], [], [24, 62, 20, 70, 5, 8, 9, 58, 2, 59, 53, 46, 22, 67, 42, 23, 11, 19, 30, 51], [], [24, 62, 20, 70, 5, 8, 9, 58, 2, 59, 53, 46, 22, 67, 42, 23, 11, 19, 30, 51], [], [], [], [], [], [], [], [], [], []]
